Subject: [netatalk-admins] Netatalk on SUNOS

From: Ravi S <[email-masked]>
Date: Thu, 9 Apr 1998 17:25:29 +0530

I'm trying to install netatalk on the SunOS 4.1.3 and I would be
glad if somebody could answer the following:

1. The README file in the installation says the following:

>       OS      Versions        Hardware        Notes
>       --      --------        --------        -----
>       SunOS   4.1+            Sparc          kernel must have VDDRV
                                               option installed

   How do I install the VDDRV option in the kernel? The README.SUNOS
   has the following:

>    1.  KERNEL MODULE. This version of netatalk requires that your kernel
>    be configured with
> 
>        options VDDRV
>
>    The loadable kernel module is made and installed during the normal
>    make and make install.  
 
     Is there a configuration file in which you specify "options VDDRV"?

Thanks a lot in advance.

Best Regards, Ravi

+--------------------------------------------------------------------+
| Ravi Subramanian                |         Email: [email-masked] |
| Texas Instruments Incorporated                                     |
+--------------------------------------------------------------------+

---

From: "Paul J. Schinder" <[email-masked]>
Date: Thu, 9 Apr 1998 08:27:04 -0400

At 5:25 PM +0530 4/9/98, Ravi S wrote:

} I'm trying to install netatalk on the SunOS 4.1.3 and I would be
} glad if somebody could answer the following:
}
} 1. The README file in the installation says the following:
}
} >       OS      Versions        Hardware        Notes
} >       --      --------        --------        -----
} >       SunOS   4.1+            Sparc          kernel must have VDDRV
}                                                option installed
}
}    How do I install the VDDRV option in the kernel? The README.SUNOS
}    has the following:

You build a new kernel and reboot.

}
} >    1.  KERNEL MODULE. This version of netatalk requires that your kernel
} >    be configured with
} >
} >        options VDDRV
} >
} >    The loadable kernel module is made and installed during the normal
} >    make and make install.
}
}      Is there a configuration file in which you specify "options VDDRV"?

Yes, there is.  Somewhere in /usr/share/sys, depending on the type of
machine you have, there's a conf directory.  (Mine's
/usr/share/sys/sun4c/conf.)  There's a nice little README there that tells
you exactly what to do.  "man config" also gives you useful information.

}
} Thanks a lot in advance.
}
} Best Regards, Ravi
}
} +--------------------------------------------------------------------+
} | Ravi Subramanian                |         Email: [email-masked] |
} | Texas Instruments Incorporated                                     |
} +--------------------------------------------------------------------+
}
}
}
}

---
Paul J. Schinder
NASA Goddard Space Flight Center
Code 693, Greenbelt, MD 20771
[email-masked]